package com.bonus.core.supermarket.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class SupermarketProductInfoImageVO {
   @ApiModelProperty("商品id")
   private Long materialId;
   @ApiModelProperty("商品")
   private String materialName;
   @ApiModelProperty("图片")
   private String imgUrl;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

}
